public class roundfin
{
public static double teta(double r,double r1,double r2,double m,double tetab)
{
double t=tetab*(Mathd.I(0,m*r)*Mathd.K(1,m*r2)+Mathd.K(0,m*r)*Mathd.I(1,m*r2))/(Mathd.I(0,m*r1)*Mathd.K(1,m*r2)+Mathd.K(0,m*r1)*Mathd.I(1,m*r2));
return t;
}
public static double eta(double r1,double r2,double m,double t)
{ double r2c=r2+t/2;
double C2=2.0*r1/m/(r2c*r2c-r1*r1);
double mr1=m*r1;
double mr2c=m*r2c;
System.out.println("C2="+C2+"mr1="+mr1+"mr2c="+mr2c);
double K1mr1=Mathd.K(1,m*r1);
double I1mr2c=Mathd.I(1,m*r2c);
double I1mr1=Mathd.I(1,m*r1);
double K1mr2c=Mathd.K(1,m*r2c);
double I0mr1=Mathd.I(0,m*r1);
double K0mr1=Mathd.K(0,m*r1);
double e=C2*(K1mr1*I1mr2c-I1mr1*K1mr2c)/(I0mr1*K1mr2c+K0mr1*I1mr2c);
return e;
}
public static void main(String arg[])
{ double m=20;
  double r1=5.0e-2;
  double r2=0.2;
  double t=2e-3;
 System.out.println("eta="+eta(r1,r2,m,t));
}
}